### Method

# Clutter Actor has_allocation

#### Declaration [src]

    gboolean
    clutter_actor_has_allocation (
      ClutterActor* self
    )

#### Description [src]

Checks if the actor has an up-to-date allocation assigned to it. This means that the actor should have an allocation: it’s visible and has a parent. It also means that there is no outstanding relayout request in progress for the actor or its children (There might be other outstanding layout requests in progress that will cause the actor to get a new allocation when the stage is laid out, however).

If this function returns `FALSE`, then the actor will normally be allocated before it is next drawn on the screen.

#### Return value

Type: `gboolean`

`TRUE` if the actor has an up-to-date allocation.